GET /api/v2/ContentSubmissions
Operation ID: ContentSubmissions_GetContentSubmissions
Auth: oauth2
Description
Gets a collection of ContentSubmissions. When successful, the response is a PagedResponse of ContentSubmissions. Additional searches: attributes[Name]=Value. This can be used to search for submissions that have the specified values for attributes. Beginning and ending wildcard (*) supported for value. If unsuccessful, an appropriate ApiError is returned.
Parameters (9)
(integer, query, optional)
Optional. Filter by ContentDefinitionID
(string, query, optional)
Names of Attributes to include when retrieving this submission. This should be a comma-separated list. If not provided, Attributes are not included. If '*', all Attributes are included.
(boolean, query, optional)
Optional. If true, includes the ContentDefinition for each submission.
(integer, query, optional)
Optional. The page limit. If not specified, the default page limit is 10.
(integer, query, optional)
Optional. The page offset. If not specified, the default page offset is 0.
(integer, query, optional)
Optional. Filter the submissions by whether they are part of the Release with the specified Release ID.
(integer, query, optional)
Optional. Filter submissions by their ContentDefinition's Type ID.
(integer, query, optional)
Optional. Filter by UserID.
(integer, query, optional)
Optional. Filter submissions by their Version.
No probe data for this endpoint yet.